--- a/plugins/color/lcms2engine/CMakeLists.txt	2019-06-01 15:10:43.442258240 +0200
+++ b/plugins/color/lcms2engine/CMakeLists.txt	2019-06-01 15:10:43.452257980 +0200
@@ -1,6 +1,8 @@
 project( lcmsengine )
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 include_directories(SYSTEM
     ${LCMS2_INCLUDE_DIR}
--- a/plugins/extensions/qmic/CMakeLists.txt	2019-06-01 15:10:43.469257540 +0200
+++ b/plugins/extensions/qmic/CMakeLists.txt	2019-06-01 15:10:43.477257332 +0200
@@ -20,4 +20,6 @@
 target_link_libraries(kritaqmic kritaui)
 install(TARGETS kritaqmic  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
--- a/plugins/filters/CMakeLists.txt	2019-06-01 15:10:43.488257047 +0200
+++ b/plugins/filters/CMakeLists.txt	2019-06-01 15:10:43.497256813 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 add_subdirectory( blur )
 add_subdirectory( colors )
 add_subdirectory( colorsfilters )
--- a/plugins/filters/unsharp/CMakeLists.txt	2019-06-01 15:10:43.508256528 +0200
+++ b/plugins/filters/unsharp/CMakeLists.txt	2019-06-01 15:10:43.516256320 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 set(kritaunsharpfilter_SOURCES
     unsharp.cpp
--- a/plugins/dockers/lut/CMakeLists.txt	2019-06-01 15:10:43.527256035 +0200
+++ b/plugins/dockers/lut/CMakeLists.txt	2019-06-01 15:10:43.535255828 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 include_directories(SYSTEM
     ${OCIO_INCLUDE_DIR}
--- a/plugins/dockers/animation/CMakeLists.txt	2019-06-01 15:10:43.546255542 +0200
+++ b/plugins/dockers/animation/CMakeLists.txt	2019-06-01 15:10:43.555255309 +0200
@@ -1,5 +1,7 @@
 if (NOT WIN32 AND NOT APPLE)
-    add_subdirectory(tests)
+    if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 endif()
 
 set(KRITA_ANIMATIONDOCKER_SOURCES
--- a/plugins/tools/tool_transform2/CMakeLists.txt	2019-06-01 15:10:43.566255024 +0200
+++ b/plugins/tools/tool_transform2/CMakeLists.txt	2019-06-01 15:10:43.574254816 +0200
@@ -1,5 +1,7 @@
 if (NOT WIN32 AND NOT APPLE)
-    add_subdirectory(tests)
+    if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 endif()
 
 set(kritatooltransform_SOURCES
--- a/plugins/tools/basictools/CMakeLists.txt	2019-06-01 15:10:43.584254557 +0200
+++ b/plugins/tools/basictools/CMakeLists.txt	2019-06-01 15:10:43.592254349 +0200
@@ -1,5 +1,7 @@
 if (NOT APPLE)
-    add_subdirectory(tests)
+    if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 endif ()
 
 set(kritadefaulttools_SOURCES
--- a/plugins/impex/tiff/CMakeLists.txt	2019-06-01 15:10:43.602254090 +0200
+++ b/plugins/impex/tiff/CMakeLists.txt	2019-06-01 15:10:43.609253908 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(libkritatiffconverter_LIB_SRCS
     kis_tiff_converter.cc
--- a/plugins/impex/libkra/CMakeLists.txt	2019-06-01 15:10:43.620253623 +0200
+++ b/plugins/impex/libkra/CMakeLists.txt	2019-06-01 15:10:43.627253441 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(kritalibkra_LIB_SRCS
     kis_colorize_dom_utils.cpp
--- a/plugins/impex/jpeg/CMakeLists.txt	2019-06-01 15:10:43.638253156 +0200
+++ b/plugins/impex/jpeg/CMakeLists.txt	2019-06-01 15:10:43.646252949 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(ICCJPEG_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/lcms")
 
--- a/plugins/impex/psd/CMakeLists.txt	2019-06-01 15:10:43.662252534 +0200
+++ b/plugins/impex/psd/CMakeLists.txt	2019-06-01 15:10:43.671252300 +0200
@@ -1,5 +1,7 @@
 if (NOT MSVC AND NOT APPLE)
-    add_subdirectory(tests)
+    if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 endif()
 
 configure_file(config_psd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config_psd.h)
--- a/plugins/impex/xcf/CMakeLists.txt	2019-06-01 15:10:43.685251937 +0200
+++ b/plugins/impex/xcf/CMakeLists.txt	2019-06-01 15:10:43.694251704 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(XCFTOOLS_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/xcftools")
 
--- a/plugins/impex/heightmap/CMakeLists.txt	2019-06-01 15:10:43.705251418 +0200
+++ b/plugins/impex/heightmap/CMakeLists.txt	2019-06-01 15:10:43.714251185 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
 
--- a/plugins/impex/csv/CMakeLists.txt	2019-06-01 15:10:43.725250900 +0200
+++ b/plugins/impex/csv/CMakeLists.txt	2019-06-01 15:10:43.734250666 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 # import
 
--- a/plugins/impex/exr/CMakeLists.txt	2019-06-01 15:10:43.745250381 +0200
+++ b/plugins/impex/exr/CMakeLists.txt	2019-06-01 15:10:43.754250148 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 include_directories(SYSTEM ${OPENEXR_INCLUDE_DIR} )
 
--- a/plugins/impex/ppm/CMakeLists.txt	2019-06-01 15:10:43.765249862 +0200
+++ b/plugins/impex/ppm/CMakeLists.txt	2019-06-01 15:10:43.773249655 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
 
--- a/plugins/impex/svg/CMakeLists.txt	2019-06-01 15:10:43.784249370 +0200
+++ b/plugins/impex/svg/CMakeLists.txt	2019-06-01 15:10:43.792249162 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(kritasvgimport_SOURCES
     kis_svg_import.cc
--- a/plugins/impex/png/CMakeLists.txt	2019-06-01 15:10:43.803248877 +0200
+++ b/plugins/impex/png/CMakeLists.txt	2019-06-01 15:10:43.811248669 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(kritapngimport_SOURCES
     kis_png_import.cc
--- a/plugins/paintops/libpaintop/CMakeLists.txt	2019-06-01 15:10:43.823248358 +0200
+++ b/plugins/paintops/libpaintop/CMakeLists.txt	2019-06-01 15:10:43.831248150 +0200
@@ -104,4 +104,6 @@
 install(TARGETS kritalibpaintop  ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
--- a/plugins/paintops/defaultpaintops/CMakeLists.txt	2019-06-01 15:10:43.842247865 +0200
+++ b/plugins/paintops/defaultpaintops/CMakeLists.txt	2019-06-01 15:10:43.850247658 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(brush/tests)
+endif()
 
 include_directories(brush
                     duplicate
--- a/libs/metadata/CMakeLists.txt	2019-06-01 15:10:43.862247346 +0200
+++ b/libs/metadata/CMakeLists.txt	2019-06-01 15:10:43.870247139 +0200
@@ -29,4 +29,6 @@
 
 install(TARGETS kritametadata  ${INSTALL_TARGETS_DEFAULT_ARGS})
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
--- a/libs/global/CMakeLists.txt	2019-06-01 15:10:43.881246854 +0200
+++ b/libs/global/CMakeLists.txt	2019-06-01 15:10:43.890246620 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 include(CheckFunctionExists)
 check_function_exists(backtrace HAVE_BACKTRACE)
--- a/libs/ui/CMakeLists.txt	2019-06-01 15:10:43.901246335 +0200
+++ b/libs/ui/CMakeLists.txt	2019-06-01 15:10:43.911246076 +0200
@@ -7,7 +7,9 @@
     ${OCIO_INCLUDE_DIR}
 )
 
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 if (APPLE)
     find_library(FOUNDATION_LIBRARY Foundation)
--- a/libs/flake/CMakeLists.txt	2019-06-01 15:10:43.922245790 +0200
+++ b/libs/flake/CMakeLists.txt	2019-06-01 15:10:43.931245557 +0200
@@ -9,7 +9,9 @@
 )
 
 add_subdirectory(styles)
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(kritaflake_SRCS
     KoGradientHelper.cpp
--- a/libs/brush/CMakeLists.txt	2019-06-01 15:10:43.943245246 +0200
+++ b/libs/brush/CMakeLists.txt	2019-06-01 15:10:43.952245012 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 include_directories(SYSTEM
     ${EIGEN3_INCLUDE_DIR}
--- a/libs/widgetutils/CMakeLists.txt	2019-06-01 15:10:43.963244727 +0200
+++ b/libs/widgetutils/CMakeLists.txt	2019-06-01 15:10:43.972244494 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 configure_file(xmlgui/config-xmlgui.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xmlgui.h )
 
--- a/libs/store/CMakeLists.txt	2019-06-01 15:10:43.984244182 +0200
+++ b/libs/store/CMakeLists.txt	2019-06-01 15:10:43.992243975 +0200
@@ -1,6 +1,8 @@
 include_directories(${QUAZIP_INCLUDE_DIRS})
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 
 set(kritastore_LIB_SRCS
     KoDirectoryStore.cpp
--- a/libs/pigment/CMakeLists.txt	2019-06-01 15:10:44.002243716 +0200
+++ b/libs/pigment/CMakeLists.txt	2019-06-01 15:10:44.010243508 +0200
@@ -31,7 +31,9 @@
     message("${__per_arch_factory_objs}")
 endif()
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
 add_subdirectory(benchmarks)
 
 set(kritapigment_SRCS
--- a/libs/libkis/CMakeLists.txt	2019-06-01 15:10:44.021243223 +0200
+++ b/libs/libkis/CMakeLists.txt	2019-06-01 15:10:44.028243041 +0200
@@ -47,4 +47,6 @@
 install(TARGETS kritalibkis  ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
--- a/libs/image/CMakeLists.txt	2019-06-01 15:10:44.039242756 +0200
+++ b/libs/image/CMakeLists.txt	2019-06-01 15:10:44.047242548 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 add_subdirectory( tiles3 )
 
--- a/libs/image/tiles3/CMakeLists.txt	2019-06-01 15:10:44.057242289 +0200
+++ b/libs/image/tiles3/CMakeLists.txt	2019-06-01 15:10:44.065242082 +0200
@@ -1 +1,3 @@
+if(BUILD_TESTING)
 add_subdirectory(tests)
+endif()
--- a/libs/odf/CMakeLists.txt	2019-06-01 15:10:44.076241796 +0200
+++ b/libs/odf/CMakeLists.txt	2019-06-01 15:10:44.084241589 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 set(kritaodf_LIB_SRCS
     KoOdf.cpp
--- a/libs/widgets/CMakeLists.txt	2019-06-01 15:10:44.094241329 +0200
+++ b/libs/widgets/CMakeLists.txt	2019-06-01 15:10:44.102241122 +0200
@@ -1,4 +1,6 @@
+if(BUILD_TESTING)
 add_subdirectory( tests )
+endif()
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 