From e46ad1f917705d84dc5562c2f261a06eb70a57b9 Mon Sep 17 00:00:00 2001
From: Pino Toscano <pino@kde.org>
Date: Tue, 25 Jun 2019 06:57:40 +0200
Subject: fixuifiles

---
 libs/widgetutils/tests/dialogsavertestwidget.ui | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/libs/widgetutils/tests/dialogsavertestwidget.ui b/libs/widgetutils/tests/dialogsavertestwidget.ui
index 66e70b3..ba0f54f 100644
--- a/libs/widgetutils/tests/dialogsavertestwidget.ui
+++ b/libs/widgetutils/tests/dialogsavertestwidget.ui
@@ -10,9 +10,6 @@
     <height>300</height>
    </rect>
   </property>
-  <property name="windowTitle">
-   <string>Form</string>
-  </property>
   <widget class="QPushButton" name="pushButton">
    <property name="geometry">
     <rect>
-- 
cgit v1.1