From e753d2453d1614b65b288e49fa5d5371764feaa8 Mon Sep 17 00:00:00 2001
From: Antonio Rojas <arojas@archlinux.org>
Date: Sun, 18 Dec 2022 16:28:38 +0100
Subject: [PATCH] Fix build with libraw 0.21

---
 plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw.cpp b/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw.cpp
index dcaecc6fa7..71425f909c 100644
--- a/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw.cpp
+++ b/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw.cpp
@@ -383,7 +383,11 @@ bool KDcraw::extractRAWData(const QString& filePath, QByteArray& rawData, DcrawI
     d->setProgress(0.3);
 
     raw.imgdata.params.output_bps  = 16;
+#if LIBRAW_COMPILE_CHECK_VERSION_NOTLESS(0, 21)
+    raw.imgdata.rawparams.shot_select = shotSelect;
+#else
     raw.imgdata.params.shot_select = shotSelect;
+#endif
     ret                            = raw.unpack();
 
     if (ret != LIBRAW_SUCCESS)
-- 
GitLab